HitmanPro.ALERT Support and Discussion Thread

Discussion in 'other anti-malware software' started by erikloman, May 25, 2012.

  1. CCV

    CCV Registered Member

    Joined:
    Nov 7, 2015
    Posts:
    44
    Location:
    Tasmania
    Yes. Except, this time I had the strange 'loading' screen appear during the process.
    Subsequent reboots normal enough.

    Had the problem of Chrome not opening properly, as with build 338, after one reboot. Seems ok after another reboot.
    It sometimes is slow to respond (using taskbar icon), but I've never seen Chrome completely lose last session before build 338.

    I'll let you know if it persists.
     
  2. paulderdash

    paulderdash Registered Member

    Joined:
    Dec 27, 2013
    Posts:
    4,228
    Location:
    Under a bushel ...
    Done. Though I doubt there will be a resolution to this.
     
  3. alex5723

    alex5723 Registered Member

    Joined:
    Nov 7, 2015
    Posts:
    8
    iTunes 12.3.1 crash on ALL versions since .209 on Windows 7 64 bit including 3.1..0.340.
     
  4. m0unds

    m0unds Registered Member

    Joined:
    Nov 12, 2015
    Posts:
    212
    @erikloman - Build 340 + Trend Micro 2016 prevents me from starting Chrome (32-bit or 64-bit). I've encountered this with every build I've tried as far back as 329.
     
  5. Triple Helix

    Triple Helix Specialist

    Joined:
    Nov 20, 2004
    Posts:
    12,953
    Location:
    Ontario, Canada
    Well lets see what they say!

    Thanks,

    Daniel ;)
     
  6. Rasheed187

    Rasheed187 Registered Member

    Joined:
    Jul 10, 2004
    Posts:
    13,401
    Location:
    The Netherlands
    Not really, do you remember that HMPA v2 didn't have exploit protection? I guess I'm basically asking for a revival of v2. I think anti-exploit can be a bit too intrusive sometimes, especially if it needs to interact with other software. I didn't have any problems with MBAE, but HMPA made SBIE malfunction, and I suspect it was because of anti-exploit.
     
  7. ropchain

    ropchain Registered Member

    Joined:
    Mar 26, 2015
    Posts:
    335
    In that case just use the CryptoGuard-only installation.
     
  8. Rasheed187

    Rasheed187 Registered Member

    Joined:
    Jul 10, 2004
    Posts:
    13,401
    Location:
    The Netherlands
    Do you have any more info on that? But like I said, it probably won't help since the anti-exploit code is still active in the background. And from a technical point of view, it must be possible to update HMPA v2, if I'm correct.
     
  9. malware1

    malware1 Registered Member

    Joined:
    May 26, 2014
    Posts:
    133
    @erikloman
    Please look again at your inbox. Thanks.
     
    Last edited: Nov 22, 2015
  10. Peter2150

    Peter2150 Global Moderator

    Joined:
    Sep 20, 2003
    Posts:
    20,590
    Yes and they have moved on from V2. I am using HMPA as our other with no problem, with SBIE. Next question. How much would be willing to pay. Certainly you wouldn't expect them to maintain separate code and give it away
     
  11. OnlySomeWhatSavvy

    OnlySomeWhatSavvy Registered Member

    Joined:
    Nov 13, 2015
    Posts:
    13
    Decided to buy a yr of HMPA for machine w W7x64 and Thunderbird email (latest v).. Did a forum search for HMPA and Thunderbird then HPMA and email, email client etc. Unable to find anything. Is it recommended to add Tbird to HMPA exploit Mitigation list? If so, under which template?
     
    Last edited: Nov 26, 2015
  12. Nizarawi

    Nizarawi Registered Member

    Joined:
    May 26, 2008
    Posts:
    137
    any deal in black friday ?
     
  13. Dark Lord

    Dark Lord Registered Member

    Joined:
    Jun 30, 2011
    Posts:
    120
    @erikloman

    Aren't you'll updating the 64bit Exploit Test Tool ?? o_O
    Link - http://dl.surfright.nl/hmpalert64-test.exe

    It seems that 32bit Exploit Test Tool is in version : v1.9.1.25
    but 64bit Exploit Test Tool still has an old version : v1.8.0.23 why ?? :(

    Also are the old uninstall tools you provided for HitmanPro.Alert v2 still COMPATIBLE for this new HitmanPro.Alert v3.1 or you DO NOT recommend them to use to uninstall the new HitmanPro.Alert v3.1 :confused:

    Links :

    http://dl.surfright.nl/hmpalert-uninstall.exe

    http://dl.surfright.nl/hmpalert-uninstall_x64.exe


    Regards,
    Dark Lord
     
  14. erikloman

    erikloman Developer

    Joined:
    Jun 4, 2009
    Posts:
    3,152
    Location:
    Hengelo, The Netherlands
    We have focused on updating the 32-bit exploit tester as it contains new and updated exploits that only work on 32-bit environments (e.g. Wow64 exploits). That is why the 64-bit exploit tester did not receive an update.

    They are still compatible but it is recommended to only use the uninstaller of Alert itself. Only resort to the uninstall tools if the uninstaller of Alert did not work. In that case also report to this thread when the standard uninstall did not work :thumb:
     
  15. CeeBee

    CeeBee Registered Member

    Joined:
    Nov 20, 2015
    Posts:
    54
    Erik, new plan! Forget about my query for now. So, no dump.

    I have reverted to HPA 2.6.5, which works fine. This after I developed an 'issue' on a 2nd computer running W7 Pro after HPA 3 had been installed. For no evident reason I suddenly got a yellow triangle-? in Device Manager for the Teredo Tunneling Pseudo-Interface (under Network Adapters). I deleted the Teredo entry, but, got further problems in device manager. No time for this and no time for trouble shooting. I'll try HPA 3 later. Thanks.

    PS: I know HPA 2.6.5 isn't quite up to speed, however, I'll be fine with all the other scanners I use. :thumb:
     
  16. L10090

    L10090 Registered Member

    Joined:
    Feb 13, 2015
    Posts:
    302
    Location:
    Netherlands
    HitmanPro3 disables Teredo Tunneling at installation time.
    It is mentioned more than once in this forum, but I think the user should get a message during installation in stead of finding out the 'hard' way, as I did too!
     
  17. CeeBee

    CeeBee Registered Member

    Joined:
    Nov 20, 2015
    Posts:
    54
    Thanks. Agree! And, perhaps, when switching to the Advanced UI, a preference settings option for protection 'tuning' .. as is the case with MBAE 1.8. Transparency is (should be) king.
     
    Last edited: Nov 23, 2015
  18. Victek

    Victek Registered Member

    Joined:
    Nov 30, 2007
    Posts:
    6,053
    Location:
    USA
    What kind of tuning would you like to see added to HMPA?
     
  19. CeeBee

    CeeBee Registered Member

    Joined:
    Nov 20, 2015
    Posts:
    54
    As I don't know what's under the hood and what's feasible, my 1st reaction would be to have something along the lines of what MBAE 1.8 offers to increase/decrease 'aggressiveness'. And, to be offered an option to 'opt in/out' if HPA wants to make [major] changes to my system. But, I'm not really qualified to discuss this, it's beyond my pay grade... :cool:
     
  20. Rasheed187

    Rasheed187 Registered Member

    Joined:
    Jul 10, 2004
    Posts:
    13,401
    Location:
    The Netherlands
    I would pay the same as for v3.

    @ Erik and Mark Loman

    Please update HMPA v2 with the improvements to Safe Browsing and CryptoGuard, and put it on sale for people who don't need anti-exploit, or are already using another anti-exploit tool.
     
  21. malware1

    malware1 Registered Member

    Joined:
    May 26, 2014
    Posts:
    133
    @erikloman No hurrying but please make sure that it gets read before the stable version is released. Thanks.
     
  22. pydipala

    pydipala Registered Member

    Joined:
    Oct 22, 2010
    Posts:
    9
    I think HitmanPro.Alert 3.1.0 build 140 is not working properly in windows 10 x86. check below images.

    Unpivot Stack : fail
    URlMon detected and blocked but downloaded "dummy.dll
    URlMon detected and blocked but downloaded "dummy.dll
    URLMon 3 alerted but giving below error
    Webcam test :fail (see below image)
    Keyboard Logger: Fail

    Some examples:
    URLMon

    http://i.imgur.com/rCbjnPE.jpg


    Keyboard Logger: Fail
    http://i.imgur.com/n1O92vg.jpg

    Webcam test

    http://i.imgur.com/Py6vqoS.jpg
     
    Last edited: Nov 23, 2015
  23. markloman

    markloman Developer

    Joined:
    Jan 25, 2005
    Posts:
    561
    Location:
    Hengelo
    Keystroke Encryption is only enabled on applications in the Browsers and Other categories. So it works on Internet Explorer, Chrome, Firefox, Edge, etc. In your screenshot I see Notepad, which is by default not protected by Keystroke Encryption.
     
  24. pydipala

    pydipala Registered Member

    Joined:
    Oct 22, 2010
    Posts:
    9
    Yes you are correct. Now I tested in firefox It's working fine. please check other things
     
  25. ParallelTwin

    ParallelTwin Registered Member

    Joined:
    Nov 20, 2015
    Posts:
    5
    I noticed that keystroke encryption stuffs up when using standard windows remote desktop connection to my pc, it displays the encrypted characters instead of the correct characters.
     
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.